Warning: Jailbreakers Should Not Update to iOS 8 Yet

Warning: Jailbreakers Should Not Update to iOS 8 Yet

Posted by · 8181 views · Translate
As usual, jailbreakers should avoid the update to iOS 8 if they want to retain their jailbreak. The Pangu jailbreak does not currently support any firmware higher than iOS 7.1.2.

Please take extra caution when connecting your device to iTunes today.

You can follow iClarified on Twitter, Facebook, Google+, or RSS for progress updates on the jailbreak of iOS 8.



Warning: Jailbreakers Should Not Update to iOS 8 Yet
Dev.no.dev - September 17, 2014 at 8:15pm
Ios8 .. Jailbroken !!! Can be done ...... Taking the bite outta apple
imka - September 17, 2014 at 7:47pm
Hi. If i buy iOS developer account from apple could I install apps from iphonecake?
krapatis - September 17, 2014 at 6:50pm
Why warn people? If they are so stupid, they probably shouldn't be jailbreaking anyway.
mk - September 17, 2014 at 5:43pm
Apple Support is Great, No need to put 3rd party
Recent